
From: janitor@sternwelten.at

Uses msleep() instead of schedule_timeout() to guarantee the task delays at
least the desired time amount.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/ec3104_keyb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/ec3104_keyb.c~ec3104-replace-schedule_timeout-with-msleep drivers/char/ec3104_keyb.c
--- 25/drivers/char/ec3104_keyb.c~ec3104-replace-schedule_timeout-with-msleep	Wed Sep  1 15:25:54 2004
+++ 25-akpm/drivers/char/ec3104_keyb.c	Wed Sep  1 15:25:54 2004
@@ -412,7 +412,7 @@ static void ec3104_keyb_clear_state(void
 	k->last_msr = 0;
 
 	for (;;) {
-		schedule_timeout(HZ/10);
+		msleep(100);
 
 		msr = ctrl_inb(EC3104_SER4_MSR);
 	
_
